<ul class="nav nav-pills nav-justified">
  <li class="nav-item" id="Algemeen">
    <a class="nav-link hoverTabs" aria-current="page"  [class.tabColour]="this.id === 'Algemeen'" (click)="tabChange('Algemeen')">Algemeen</a>
  </li>
  <li class="nav-item" id="Contactgegevens">
    <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Contactgegevens'" (click)="tabChange('Contactgegevens')">Contactgegevens</a>
  </li>
  <li class="nav-item" id="Werkervaring">
    <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Werkervaring'" (click)="tabChange('Werkervaring')">Werkervaring</a>
  </li>
  <li class="nav-item" id="Opleiding">
    <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Opleiding'" (click)="tabChange('Opleiding')">Opleiding</a>
  </li>
  <li class="nav-item" id="Kwalificatie">
    <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Kwalificatie'" (click)="tabChange('Kwalificatie')">Kwalificatie</a>
  </li>
  <li class="nav-item" id="Overzicht">
    <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Overzicht'" (click)="tabChange('Overzicht')">Overzicht</a>
  </li>
</ul>

<h2>Vacatures details</h2>

<form *ngIf="vacature; else loading">
  <div class="row border-top mb-3" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-basic-information-match-detailed [data]="vacature"></app-basic-information-match-detailed>
    </div>
    <div class="col-5">
      <app-arbeidsvoorwaarden-match-detailed [data]="vacature"></app-arbeidsvoorwaarden-match-detailed>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-flexibiliteit-match [data]="vacature"></app-flexibiliteit-match>
    </div>
    <div class="col-5">
      <app-werktijden-match [data]="vacature"></app-werktijden-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Werkervaring' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-beroep-match [data]="vacature"></app-beroep-match>
    </div>
    <div class="col-5">
      <app-sector-match [data]="vacature"></app-sector-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-contractvorm-match [data]="vacature"></app-contractvorm-match>
    </div>
    <div class="col-5">
      <app-sollicitatiewijze-match-detailed [data]="vacature"></app-sollicitatiewijze-match-detailed>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Werkervaring' || id === 'Overzicht' || id === 'Algemeen'">
    <div class="col-5 border-right" *ngIf="id === 'Werkervaring' || id === 'Overzicht'">
      <app-werkervaring-match [data]="vacature"></app-werkervaring-match>
    </div>
    <div class="col-5" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
      <app-vervoermiddel-match-detailed [data]="vacature"></app-vervoermiddel-match-detailed>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Opleiding' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-cursus-match [data]="vacature"></app-cursus-match>
    </div>
    <div class="col-6">
      <app-opleiding-detailed [data]="vacature"></app-opleiding-detailed>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Kwalificatie' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-gedragscompetentie-match [data]="vacature"></app-gedragscompetentie-match>
    </div>
    <div class="col-5">
      <app-vakvaardigheid-match [data]="vacature"></app-vakvaardigheid-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Opleiding' || id === 'Kwalificatie' || id === 'Overzicht'">
    <div class="col-5 border-right" *ngIf="id === 'Kwalificatie' || id === 'Overzicht'">
      <app-taalbeheersing-match [data]="vacature"></app-taalbeheersing-match>
    </div>
    <div class="col-5" *ngIf="id === 'Opleiding' || id === 'Overzicht'">
      <app-rijbewijs-match [data]="vacature"></app-rijbewijs-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Contactgegevens' || id === 'Overzicht'">
    <div class="col-12">
      <app-werkgever-match-detailed [data]="vacature"></app-werkgever-match-detailed>
    </div>
  </div>
</form>

<ng-template #loading>Loading...</ng-template>
